%define upstream_name    ODF-lpOD
%define upstream_version 1.126

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Open Document Processing
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/ODF/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Zip) >= 1.300.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename) >= 2.760.0
BuildRequires: perl(File::Find) >= 1.10.0
BuildRequires: perl(File::Slurp)
BuildRequires: perl(File::Temp) >= 0.120.0
BuildRequires: perl(File::Type)
BuildRequires: perl(IO::File) >= 1.140.0
BuildRequires: perl(Image::Size)
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(Time::Local) >= 1.70.0
BuildRequires: perl(XML::Twig) >= 3.340.0
BuildRequires: perl(experimental)
BuildArch:  noarch

%description
This module is an office document management interface. It allows the users
to create or transform office documents, or to extract data from them. It
can handle files which comply with the ODF standard and whose type is
_text_ (odt), _spreadsheet_ (ods), _presentation_ (odp) or _drawing_ (odg).
It interacts directly with the files and doesn't depend on a particular
office software.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
%{_bindir}/lpod_test
%{_mandir}/man1/lpod_test.1.xz

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.126.0-7.mga8
+ Revision: 1496184
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.126.0-6.mga7
+ Revision: 1270224
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.126.0-5.mga6
+ Revision: 1031508
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.126.0-4.mga6
+ Revision: 943507
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.126.0-3.mga5
+ Revision: 748633
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.126.0-2.mga5
+ Revision: 685766
- Mageia 5 Mass Rebuild

* Wed May 28 2014 sander85 <sander85> 1.126.0-1.mga5
+ Revision: 627295
- update to 1.126

* Wed May 21 2014 sander85 <sander85> 1.125.0-1.mga5
+ Revision: 624701
- update to 1.125

* Wed May 21 2014 shlomif <shlomif> 1.124.0-1.mga5
+ Revision: 624613
- New version 1.124

* Tue May 20 2014 jquelin <jquelin> 1.123.0-1.mga5
+ Revision: 624396
- update to 1.123

* Fri Oct 18 2013 umeabot <umeabot> 1.121.0-2.mga4
+ Revision: 522364
- Mageia 4 Mass Rebuild

* Fri Feb 22 2013 kharec <kharec> 1.121.0-1.mga3
+ Revision: 399901
- imported package perl-ODF-lpOD

